Skip to main content
GET
/
tariffs
List all tariffs
curl --request GET \
  --url https://api.flatpeak.com/tariffs \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "url": "/tariffs",
  "has_more": false,
  "data": [
    {
      "id": "trf_66ba584eb6923d7c3b942ef6",
      "object": "tariff",
      "location_id": "loc_641b90b758fb8e6293716e40",
      "live_mode": true,
      "is_linked": false,
      "connection_type": "MANUAL",
      "type": "COMMODITY",
      "status": "CONNECTED",
      "timezone": "Europe/London",
      "market_rates": false,
      "contract_start_date": "2023-01-24T00:00:00Z",
      "contract_end_date": "2024-01-24T00:00:00Z",
      "time_created": "2023-05-05T05:37:27Z",
      "account_id": "acc_661677911f2197045e6cf1b1",
      "direction": "IMPORT",
      "display_name": "Flexible Go 2023",
      "provider_id": "prv_63a6087272921ef075a8fd3e",
      "schedule": [
        {
          "months": [
            "All"
          ],
          "dates": [
            24
          ],
          "days_and_hours": [
            {
              "days": [
                "All"
              ],
              "hours": [
                {
                  "valid_from": "05:00:00",
                  "valid_to": "23:30:00",
                  "rate": [
                    {
                      "value": "(((0.03 * $index) - 3) * $unitScale) * $tax",
                      "variables": {
                        "index": "BELPEX",
                        "unitScale": 0.01,
                        "tax": 0.12
                      }
                    }
                  ]
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.flatpeak.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate with bearer you obtained from authentication endpoint.

Query Parameters

type
string

Filter by tariff type, supported values are COMMODITY and NON_COMMODITY.

Example:

"COMMODITY"

location_id
string
required

Filter by Flatpeak Location ID.

Example:

"loc_641b90b758fb8e6293716e40"

Response

Response example

object
string
required

Represents the object’s type. i.e. list.

Example:

"list"

url
string
required

Represents the URL slug for the object.

Example:

"/tariffs"

has_more
boolean
default:false
required

Is set to true if more objects are available.

data
Tariff · object[]